package de.dhbwstuttgart.typeinference.unify;

import java.util.ArrayList;
import java.util.List;

import de.dhbwstuttgart.typeinference.result.ResultSet;
import de.dhbwstuttgart.typeinference.unify.model.UnifyPair;

public class UnifyResultListenerImpl implements UnifyResultListener {

	List<ResultSet> results = new ArrayList<>();
	
	public synchronized void onNewTypeResultFound(UnifyResultEvent evt) {
		results.addAll(evt.getNewTypeResult());
	}
	
	public List<ResultSet> getResults() {
		return results;
	}

}
